nbd_aio_get_fd(3)

NAME
nbd_aio_get_fd - return file descriptor associated with this connection

SYNOPSIS
 #include <libnbd.h>

 int nbd_aio_get_fd (
       struct nbd_handle *h
     );

DESCRIPTION
Return the underlying file descriptor associated with this connection. You can use this to check if the file descriptor is ready for reading or writing and call nbd_aio_notify_read(3) or nbd_aio_notify_write(3). See also nbd_aio_get_direction(3). Do not do anything else with the file descriptor.

RETURN VALUE
This call returns a file descriptor.

ERRORS
On error -1 is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.0.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_AIO_GET_FD 1

SEE ALSO
nbd_aio_get_direction(3), nbd_aio_notify_read(3), nbd_aio_notify_write(3), nbd_create(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA